Subject: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Jan 2025 14:38:16 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Tue, 21 Jan 2025 01:36:37 +0100
> 
> Tassilo Horn <[email-masked]> writes:
> 
> > > Anyway, that other places could want to use this was not my
> > > suggestion, it was yours, AFAIR.
> >
> > No, Michael's.
> 
> Yes, I wanted to bring that up.  Though I don't understand the naming
> convention thing, too.
> 
> But I also have a question: can it happen that we prevent an
> auto-revert, and it is then not happening delayed, but completely
> canceled?  Or will auto-revert-mode always try again later even without
> a new notification (or however that works)?

You mean, if this buffer's file or directory never changes again after
this one time?  Let's ask Michael Albinus (CC'ed).